Subject: Re: bug#57460: [PATCH 00/19] Refresh to specific version

From: Ludovic Courtès <[email-masked]>
Date: Fri, 23 Dec 2022 23:45:42 +0100

Hi,

Hartmut Goebel <[email-masked]> skribis:

>> In Guix, “package spec” refers to the syntax that
>> ‘specification->package’ accepts, like “guile” or “[email-masked]”.  So we’ll
>> have to use another name throughout.  How about “update spec” or
>> “refresh spec” for the string, and just “update” for the record?
>
> Using "update" resulted in a conflict with the existing "update-package"
> function. Using "refesh" would have names the accessor "refresh-package",
> which sounds irritating for me (same for "update". Thus I decided to call the
> record "update-spec" and the function "update-string->update.spec" (the name
> is use only once).
>
> WDYT?

Sounds good!

>> Since there are just two fields, it may be simpler to use SRFI-9:
>
> Done.
>
> I also tested the patches with (an updated version of) the test-script I
> posted in the first version of the series.

Excellent.  I posted suggestions for the last patch (doc); you can
adjust it and push the whole series.

Thank you!

Ludo’.